Bug 738092 - swell-foop blank screen
swell-foop blank screen
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cogl (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F16Blocker/F16FinalBlocker
  Show dependency treegraph
 
Reported: 2011-09-13 17:16 EDT by Tom Horsley
Modified: 2011-10-20 00:00 EDT (History)
4 users (show)

See Also:
Fixed In Version: cogl-1.8.2-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-20 00:00:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2011-09-13 17:16:26 EDT
Description of problem:

In fedora 16 x86_64, the swell-foop games starts, but the body of the screen
where the tiles are supposed to appear is all black. In fedora 15 on the same
hardware it works fine.

Version-Release number of selected component (if applicable):
gnome-games-3.1.91-1.fc16.x86_64

How reproducible:
every time

Steps to Reproduce:
1.start game
2.see black playing field
3.
  
Actual results:
black window body

Expected results:
tiles to click on

Additional info:
Comment 1 Tom Horsley 2011-09-19 20:43:48 EDT
I looked at this a little more, and apparently it thinks it is playing the game.
I see info in the status line consistent with clicking on the invisible
tiles I can't see.
Comment 2 Adam Williamson 2011-09-21 22:23:14 EDT
Marking as a Final blocker:

"All applications listed under the Applications menu or category must withstand a basic functionality test and not crash after a few minutes of normal use. They must also have working Help and Help -> About menu items "

note that in a Beta VM I just installed, swell-foop doesn't run at all, I get an abrt crash in seed when I try to launch it...
Comment 3 Adam Williamson 2011-09-21 22:23:38 EDT
this still seems valid in 3.1.92, btw (on my regular desktop I get this, not the seed crash).
Comment 4 Adam Williamson 2011-09-30 14:18:17 EDT
still valid in 3.2.0.
Comment 5 Adam Williamson 2011-09-30 14:18:41 EDT
Discussed at 2011-09-30 blocker review meeting, accepted as a final blocker per criterion cited in comment #2.
Comment 6 Edward Sheldrake 2011-10-01 04:11:28 EDT
This can be fixed by rebuilding cogl to use gdk-pixbuf2 for images, then swell-foop and lightsoff work fine.
Comment 7 Adam Williamson 2011-10-14 15:26:22 EDT
Edward: thanks. Re-assigning to cogl.
Comment 8 Adam Williamson 2011-10-14 15:26:49 EDT
peter: can you rebuild cogl as recommended by edward? thanks! this is a blocker.
Comment 9 Fedora Update System 2011-10-17 12:09:36 EDT
cogl-1.8.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cogl-1.8.2-1.fc16
Comment 10 Fedora Update System 2011-10-18 03:21:36 EDT
Package cogl-1.8.2-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cogl-1.8.2-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14495
then log in and leave karma (feedback).
Comment 11 Adam Williamson 2011-10-18 11:12:16 EDT
Fix confirmed.
Comment 12 Fedora Update System 2011-10-20 00:00:36 EDT
cogl-1.8.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.